From 762abac0e1614c0a59dee19c189dd37d401998c1 Mon Sep 17 00:00:00 2001
From: Sedat Dilek <sedat.dilek@gmail.com>
Date: Sat, 31 Aug 2013 02:21:05 +0200
Subject: [PATCH 8/8] tools: Reorder <tool>_install, install and clean targets

Signed-off-by: Sedat Dilek <sedat.dilek@gmail.com>
---
 tools/Makefile | 22 +++++++++++++---------
 1 file changed, 13 insertions(+), 9 deletions(-)

diff --git a/tools/Makefile b/tools/Makefile
index 8238e5f..3afa831 100644
--- a/tools/Makefile
+++ b/tools/Makefile
@@ -37,7 +37,7 @@ help:
 cpupower: FORCE
 	$(call descend,power/$@)
 
-cgroup firewire lguest usb virtio net: FORCE
+cgroup firewire lguest net usb virtio: FORCE
 	$(call descend,$@)
 
 liblk: FORCE
@@ -57,7 +57,7 @@ all: cpupower cgroup firewire lguest net usb virtio perf vm selftests turbostat
 cpupower_install:
 	$(call descend,power/$(@:_install=),install)
 
-cgroup_install firewire_install lguest_install perf_install usb_install virtio_install vm_install net_install:
+cgroup_install firewire_install lguest_install net_install usb_install virtio_install perf_install vm_install:
 	$(call descend,$(@:_install=),install)
 
 selftests_install:
@@ -66,14 +66,16 @@ selftests_install:
 turbostat_install x86_energy_perf_policy_install:
 	$(call descend,power/x86/$(@:_install=),install)
 
-install: cgroup_install cpupower_install firewire_install lguest_install \
-		perf_install selftests_install turbostat_install usb_install \
-		virtio_install vm_install net_install x86_energy_perf_policy_install
+install: cpupower_install \
+               cgroup_install firewire_install lguest_install net_install usb_install virtio_install \
+               perf_install vm_install \
+               selftests_install \
+               turbostat_install x86_energy_perf_policy_install
 
 cpupower_clean:
 	$(call descend,power/cpupower,clean)
 
-cgroup_clean firewire_clean lguest_clean usb_clean virtio_clean net_clean:
+cgroup_clean firewire_clean lguest_clean net_clean usb_clean virtio_clean:
 	$(call descend,$(@:_clean=),clean)
 
 liblk_clean:
@@ -88,8 +90,10 @@ selftests_clean:
 turbostat_clean x86_energy_perf_policy_clean:
 	$(call descend,power/x86/$(@:_clean=),clean)
 
-clean: cgroup_clean cpupower_clean firewire_clean lguest_clean perf_clean \
-		selftests_clean turbostat_clean usb_clean virtio_clean \
-		vm_clean net_clean x86_energy_perf_policy_clean
+clean: cpupower_clean \
+               cgroup_clean firewire_clean lguest_clean net_clean usb_clean virtio_clean \
+               perf_clean vm_clean \
+               selftests_clean \
+               turbostat_clean x86_energy_perf_policy_clean
 
 .PHONY: FORCE
-- 
1.8.4

